
set( nugen_VERSION 1.06.01 )
set( nugen_UPS_VERSION v1_06_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( genie  )
find_ups_product( dk2nudata  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( nusimdata  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nu-matrix/BUILDTYPE/debug/QUAL/s85-c2/label1/swarm/label2/SLF6/build/libxml2/v2_9_9/Linux64bit+2.6-2.12-debug/lib NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
set(NUGEN_EVENTGENERATORBASE_GENIE "$ENV{NUGEN_LIB}/libnugen_EventGeneratorBase_GENIE.so")
set(NUGEN_EVENTGENERATORBASE_GIBUU "$ENV{NUGEN_LIB}/libnugen_EventGeneratorBase_GiBUU.so")
set(NUGEN_EVENTGENERATORBASE_TEST_ADDGENIEEVENTSTOART_MODULE "$ENV{NUGEN_LIB}/libnugen_EventGeneratorBase_test_AddGenieEventsToArt_module.so")
set(NUGEN_EVENTGENERATORBASE_TEST_GENIEOUTPUT_MODULE "$ENV{NUGEN_LIB}/libnugen_EventGeneratorBase_test_GenieOutput_module.so")
set(NUGEN_EVENTGENERATORBASE_TEST_TESTGENIEHELPER_MODULE "$ENV{NUGEN_LIB}/libnugen_EventGeneratorBase_test_TestGENIEHelper_module.so")
set(NUGEN_NUREWEIGHT "$ENV{NUGEN_LIB}/libnugen_NuReweight.so")
set(NUGEN_NUREWEIGHT_ART "$ENV{NUGEN_LIB}/libnugen_NuReweight_art.so")
set(NUGEN_NUREWEIGHT_ART_REWEIGHTANA_MODULE "$ENV{NUGEN_LIB}/libnugen_NuReweight_art_ReweightAna_module.so")
  include_directories ( "$ENV{NUGEN_INC}" )

check_required_components(nugen)

